petsc-3.15.0 2021-03-30
Report Typos and Errors

# DMView

Views a DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMView(DM dm,PetscViewer v)

Collective on dm

### Input Parameter

| dm | - the DM object to view
| v | - the viewer

### See Also

DMDestroy(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix()

### Level

beginner

### Location

src/dm/interface/dm.c

### Examples

src/dm/impls/plex/tutorials/ex5.c.html
src/dm/impls/plex/tutorials/ex3f90.F90.html
src/dm/tutorials/ex1.c.html
src/dm/tutorials/ex5.c.html
src/dm/tutorials/ex19.c.html
src/dm/tutorials/ex20.c.html
src/dm/tutorials/swarm_ex1.c.html
src/dm/tutorials/swarm_ex2.c.html
src/dm/tutorials/swarm_ex3.c.html
src/ksp/ksp/tutorials/ex70.c.html
src/ksp/ksp/tutorials/ex73.c.html

### Implementations

DMView_Moab in src/dm/impls/moab/dmmoab.cxx
DMView_Network in src/dm/impls/network/network.c
DMView_Patch in src/dm/impls/patch/patch.c
DMView_Plex in src/dm/impls/plex/plex.c
DMView_Redundant in src/dm/impls/redundant/dmredundant.c
DMView_Shell in src/dm/impls/shell/dmshell.c
DMView_Stag in src/dm/impls/stag/stag.c
DMView_Swarm in src/dm/impls/swarm/swarm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages